drop table favorite_birds;
drop table photographer_cameras;
drop table photographer_styles;
drop table photographers;
drop table cameras;
drop table photo_levels;
drop table photo_styles;
drop table birds_predators;
drop table predators;

create table predators
(pred_id	number(3)	not null 	primary key,
 predator	varchar(30)	not null)
/
create table birds_predators
(bird_id	number(3)	not null,
 pred_id	number(3)	not null,
 constraint bp_pk primary key (bird_id, pred_id),
 constraint bp_fk1 foreign key (bird_id) references birds (bird_id),
 constraint bp_fk2 foreign key (pred_id) references predators (pred_id))
/
create table photo_styles
(style_id	number(3)	not null	primary key,
 style		varchar(30)	not null)
/
create table photo_levels
(level_id	number(3)	not null	primary key,
 photo_level	varchar(30)	not null)
/
create table cameras
(camera_id	number(3)	not null	primary key,
 camera		varchar(30)	not null)
/
create table photographers
(photographer_id	number(3)	not null	primary key,
 photographer		varchar(30)	not null,
 mentor_photographer_id	number(3)	null,
 level_id		number(3)	not null,
 constraint p_fk1 foreign key (mentor_photographer_id) references photographers (photographer_id),
 constraint p_fk2 foreign key (level_id) references photo_levels (level_id))
/
create table favorite_birds
(photographer_id	number(3)	not null,
 bird_id		number(3)	not null,
 constraint fb_pk primary key (photographer_id, bird_id),
 constraint fb_fk1 foreign key (photographer_id) references photographers (photographer_id),
 constraint fb_fk2 foreign key (bird_id) references birds (bird_id))
/
create table photographer_styles
(photographer_id	number(3)	not null,
 style_id		number(3)	not null,
 constraint ps_pk primary key (photographer_id, style_id),
 constraint ps_fk1 foreign key (photographer_id) references photographers (photographer_id),
 constraint ps_fk2 foreign key (style_id) references photo_styles (style_id))
/
create table photographer_cameras
(photographer_id	number(3)	not null,
 camera_id		number(3)	not null,
 constraint pc_pk primary key (photographer_id, camera_id),
 constraint pc_fk1 foreign key (photographer_id) references photographers (photographer_id),
 constraint pc_fk2 foreign key (camera_id) references cameras (camera_id))
/